%define upstream_name	 XML-RSS
%define upstream_version 1.63

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Creates and updates RSS files
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::Parser)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Creates and updates RSS files.
This module supports versions 0.9, 0.91 and 1.0 of RSS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod ogu-x README Changes

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/*/*
%{perl_vendorlib}/XML

%changelog
* Thu Dec 28 2023 tv <tv> 1.630.0-1.mga10
+ Revision: 2022942
- update to 1.63

* Mon Mar 21 2022 umeabot <umeabot> 1.620.0-2.mga9
+ Revision: 1813404
- Mageia 9 Mass Rebuild

* Fri Oct 16 2020 tv <tv> 1.620.0-1.mga8
+ Revision: 1636326
- update to 1.62

* Sat Feb 15 2020 umeabot <umeabot> 1.610.0-2.mga8
+ Revision: 1528661
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Aug 25 2019 tv <tv> 1.610.0-1.mga8
+ Revision: 1432120
- update to 1.61

* Thu Sep 20 2018 umeabot <umeabot> 1.600.0-2.mga7
+ Revision: 1287314
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 1.600.0-1.mga7
+ Revision: 1207289
- update to 1.60

* Sun Jun 19 2016 pterjan <pterjan> 1.590.0-2.mga6
+ Revision: 1036056
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 1.590.0-1.mga6
+ Revision: 989875
- update to 1.59

* Wed Feb 10 2016 shlomif <shlomif> 1.580.0-1.mga6
+ Revision: 953373
- update to 1.58

* Sat Jan 16 2016 shlomif <shlomif> 1.570.0-1.mga6
+ Revision: 924085
- update to 1.57

* Mon Jun 22 2015 sander85 <sander85> 1.560.0-1.mga6
+ Revision: 838661
- update to 1.56

* Sun Oct 19 2014 umeabot <umeabot> 1.550.0-4.mga5
+ Revision: 789804
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.550.0-3.mga5
+ Revision: 749026
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.550.0-2.mga5
+ Revision: 686951
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 1.550.0-1.mga5
+ Revision: 620811
- update to 1.55

* Sat Oct 19 2013 umeabot <umeabot> 1.540.0-2.mga4
+ Revision: 527684
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.540.0-1.mga4
+ Revision: 441806
- update to 1.54

* Fri Jun 07 2013 jquelin <jquelin> 1.530.0-1.mga4
+ Revision: 440096
- update to 1.53

* Sat Jun 01 2013 takashi <takashi> 1.520.0-2.mga4
+ Revision: 433927
- Update to 1.52

* Sun Jan 13 2013 umeabot <umeabot> 1.490.0-2.mga3
+ Revision: 375128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 11 2011 jquelin <jquelin> 1.490.0-1.mga1
+ Revision: 83378
- update to 1.49

* Mon Jan 24 2011 jquelin <jquelin> 1.480.0-1.mga1
+ Revision: 37240
- mageia rebuild
- imported package perl-XML-RSS

